Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.language.rc.plugins
[Groovy] Class WindowsResourceScriptPlugin

    java.lang.Object
      org.gradle.language.rc.plugins.WindowsResourceScriptPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class WindowsResourceScriptPlugin

Adds core language support for Windows resource script files.

- For any FunctionalSourceSet, adds a conventional WindowsResourceSet called 'rc'.
- Establishes a convention for all WindowsResourceSets so that sources are located in 'src//rc' and headers are located in 'src//headers'.

Constructor Summary
`WindowsResourceScriptPlugin(Instantiator instantiator)`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### WindowsResourceScriptPlugin

    @Inject
    WindowsResourceScriptPlugin(Instantiator instantiator)

Method Detail

### apply

    void apply(ProjectInternal project)

Gradle API 1.10